<!DOCTYPE html><html lang="zh-CN" data-theme="light"><head><meta charset="UTF-8"><meta http-equiv="X-UA-Compatible" content="IE=edge"><meta name="viewport" content="width=device-width,initial-scale=1"><title>认识分布式存储Ceph | SeMaik</title><meta name="author" content="ZuSir"><meta name="copyright" content="ZuSir"><meta name="format-detection" content="telephone=no"><meta name="theme-color" content="#ffffff"><meta name="description" content="分布式存储Ceph技术认识分布式存储 分布式存储系统，是通过网络讲述库分散存储在多台独立的设备上；  分布式存储系统的特性1234567891011121314151617181920可扩展分布式存储系统可以扩展到几百台甚至几千台的集群规模，而且随着集群规模的增长，系统整体性能表现为线性增长，分布式存储的水平扩展有以下几个特征：	1）节点扩展后，旧数据会自动迁移到新节点，实现负载均衡，避免单点过热">
<meta property="og:type" content="article">
<meta property="og:title" content="认识分布式存储Ceph">
<meta property="og:url" content="http://example.com/2021/01/21/%E8%AE%A4%E8%AF%86%E5%88%86%E5%B8%83%E5%BC%8F%E5%AD%98%E5%82%A8Ceph/index.html">
<meta property="og:site_name" content="SeMaik">
<meta property="og:description" content="分布式存储Ceph技术认识分布式存储 分布式存储系统，是通过网络讲述库分散存储在多台独立的设备上；  分布式存储系统的特性1234567891011121314151617181920可扩展分布式存储系统可以扩展到几百台甚至几千台的集群规模，而且随着集群规模的增长，系统整体性能表现为线性增长，分布式存储的水平扩展有以下几个特征：	1）节点扩展后，旧数据会自动迁移到新节点，实现负载均衡，避免单点过热">
<meta property="og:locale" content="zh_CN">
<meta property="og:image" content="https://cdn.jsdelivr.net/npm/butterfly-extsrc@1/img/default.jpg">
<meta property="article:published_time" content="2021-01-21T03:07:00.000Z">
<meta property="article:modified_time" content="2021-02-06T10:24:20.000Z">
<meta property="article:author" content="ZuSir">
<meta name="twitter:card" content="summary">
<meta name="twitter:image" content="https://cdn.jsdelivr.net/npm/butterfly-extsrc@1/img/default.jpg"><link rel="shortcut icon" href="https://myit.icu/favicon.ico"><link rel="canonical" href="http://example.com/2021/01/21/%E8%AE%A4%E8%AF%86%E5%88%86%E5%B8%83%E5%BC%8F%E5%AD%98%E5%82%A8Ceph/"><link rel="preconnect" href="//cdn.jsdelivr.net"/><link rel="preconnect" href="//busuanzi.ibruce.info"/><link rel="stylesheet" href="/css/index.css"><link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/@fortawesome/fontawesome-free/css/all.min.css" media="print" onload="this.media='all'"><script>const GLOBAL_CONFIG = { 
  root: '/',
  algolia: undefined,
  localSearch: undefined,
  translate: undefined,
  noticeOutdate: undefined,
  highlight: {"plugin":"highlighjs","highlightCopy":true,"highlightLang":true},
  copy: {
    success: '复制成功',
    error: '复制错误',
    noSupport: '浏览器不支持'
  },
  relativeDate: {
    homepage: true,
    post: false
  },
  runtime: '',
  date_suffix: {
    just: '刚刚',
    min: '分钟前',
    hour: '小时前',
    day: '天前',
    month: '个月前'
  },
  copyright: undefined,
  lightbox: 'fancybox',
  Snackbar: undefined,
  source: {
    jQuery: 'https://cdn.jsdelivr.net/npm/jquery@latest/dist/jquery.min.js',
    justifiedGallery: {
      js: 'https://cdn.jsdelivr.net/npm/justifiedGallery/dist/js/jquery.justifiedGallery.min.js',
      css: 'https://cdn.jsdelivr.net/npm/justifiedGallery/dist/css/justifiedGallery.min.css'
    },
    fancybox: {
      js: 'https://cdn.jsdelivr.net/npm/@fancyapps/fancybox@latest/dist/jquery.fancybox.min.js',
      css: 'https://cdn.jsdelivr.net/npm/@fancyapps/fancybox@latest/dist/jquery.fancybox.min.css'
    }
  },
  isPhotoFigcaption: false,
  islazyload: false,
  isanchor: false
}</script><script id="config-diff">var GLOBAL_CONFIG_SITE = { 
  isPost: true,
  isHome: false,
  isHighlightShrink: undefined,
  isToc: true,
  postUpdate: '2021-02-06 18:24:20'
}</script><noscript><style type="text/css">
  #nav {
    opacity: 1
  }
  .justified-gallery img {
    opacity: 1
  }

  #recent-posts time,
  #post-meta time {
    display: inline !important
  }
</style></noscript><script>(win=>{
    win.saveToLocal = {
      set: function setWithExpiry(key, value, ttl) {
        if (ttl === 0) return
        const now = new Date()
        const expiryDay = ttl * 86400000
        const item = {
          value: value,
          expiry: now.getTime() + expiryDay,
        }
        localStorage.setItem(key, JSON.stringify(item))
      },

      get: function getWithExpiry(key) {
        const itemStr = localStorage.getItem(key)

        if (!itemStr) {
          return undefined
        }
        const item = JSON.parse(itemStr)
        const now = new Date()

        if (now.getTime() > item.expiry) {
          localStorage.removeItem(key)
          return undefined
        }
        return item.value
      }
    }
  
    win.getScript = url => new Promise((resolve, reject) => {
      const script = document.createElement('script')
      script.src = url
      script.async = true
      script.onerror = reject
      script.onload = script.onreadystatechange = function() {
        const loadState = this.readyState
        if (loadState && loadState !== 'loaded' && loadState !== 'complete') return
        script.onload = script.onreadystatechange = null
        resolve()
      }
      document.head.appendChild(script)
    })
  
      const asideStatus = saveToLocal.get('aside-status')
      if (asideStatus !== undefined) {
        if (asideStatus === 'hide') {
          document.documentElement.classList.add('hide-aside')
        } else {
          document.documentElement.classList.remove('hide-aside')
        }
      }
    })(window)</script><link href="/css/style.css"><meta name="generator" content="Hexo 5.3.0"><link rel="alternate" href="/atom.xml" title="SeMaik" type="application/atom+xml">
</head><body><div id="web_bg"></div><div id="sidebar"><div id="menu-mask"></div><div id="sidebar-menus"><div class="author-avatar"><img class="avatar-img" src="/img/123.jpeg" onerror="onerror=null;src='/img/123.jpeg'" alt="avatar"/></div><div class="site-data"><div class="data-item is-center"><div class="data-item-link"><a href="/archives/"><div class="headline">文章</div><div class="length-num">152</div></a></div></div><div class="data-item is-center"><div class="data-item-link"><a href="/categories/"><div class="headline">分类</div><div class="length-num">37</div></a></div></div></div><hr/><div class="menus_items"><div class="menus_item"><a class="site-page" href="/"><i class="fa-fw fas fa-home"></i><span> 首页</span></a></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> Linux</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Linux/"><span> Linux</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> WEB</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Apache/"><span> Apache</span></a></li><li><a class="site-page" href="/categories/Nginx/"><span> Nginx</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 存储</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Ceph/"><span> Ceph</span></a></li><li><a class="site-page" href="/categories/NFS/"><span> NFS</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 日志</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Loki"><span> Loki</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 编程</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Shell"><span> Shell</span></a></li><li><a class="site-page" href="/categories/Python"><span> Python</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 高可用</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/KeepAlived/"><span> KeepAlived</span></a></li><li><a class="site-page" href="/categories/LVS/"><span> LVS</span></a></li><li><a class="site-page" href="/categories/Squid/"><span> Squid</span></a></li><li><a class="site-page" href="/categories/Haproxy/"><span> Haproxy</span></a></li><li><a class="site-page" href="/categories/Rsync/"><span> Rsync</span></a></li><li><a class="site-page" href="/categories/Memcache/"><span> Memcache</span></a></li><li><a class="site-page" href="/categories/Varnish/"><span> Varnish</span></a></li><li><a class="site-page" href="/categories/GRedis/"><span> Redis</span></a></li><li><a class="site-page" href="/categories/Rabbit/"><span> RabbitMQ</span></a></li><li><a class="site-page" href="/categories/Kafka/"><span> Kafka</span></a></li><li><a class="site-page" href="/categories/MHA/"><span> MHA</span></a></li><li><a class="site-page" href="/categories/PXC/"><span> PXC</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 虚拟化</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Docker/"><span> Docker</span></a></li><li><a class="site-page" href="/categories/Kubernetes/"><span> Kubernetes</span></a></li><li><a class="site-page" href="/categories/OpenStack/"><span> OpenStack</span></a></li><li><a class="site-page" href="/categories/KVM/"><span> KVM</span></a></li><li><a class="site-page" href="/categories/Containerd"><span> Containerd</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> Hexo</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Hexo/"><span> Hexo</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 数据库</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/MySQL/"><span> MySQL</span></a></li><li><a class="site-page" href="/categories/Readis/"><span> Readis</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 微服务</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Tomcat/"><span> Tomcat</span></a></li><li><a class="site-page" href="/categories/Git/"><span> Git</span></a></li><li><a class="site-page" href="/categories/Maven/"><span> Maven</span></a></li><li><a class="site-page" href="/categories/Nexus/"><span> Nexus</span></a></li><li><a class="site-page" href="/categories/Jenkins/"><span> Jenkins</span></a></li><li><a class="site-page" href="/categories/Spring/"><span> Spring</span></a></li><li><a class="site-page" href="/categories/Consul/"><span> Consul</span></a></li><li><a class="site-page" href="/categories/Harbor/"><span> Harbor</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 自动化</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Ansible/"><span> Ansible</span></a></li><li><a class="site-page" href="/categories/Pssh/"><span> Pssh</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="/link/"><i class="fa-fw fas fa-link"></i><span> 友链</span></a></div><div class="menus_item"><a class="site-page" href="/about/"><i class="fa-fw fas fa-heart"></i><span> 关于</span></a></div></div></div></div><div class="post" id="body-wrap"><header class="post-bg" id="page-header" style="background-image: url('https://cdn.jsdelivr.net/npm/butterfly-extsrc@1/img/default.jpg')"><nav id="nav"><span id="blog_name"><a id="site-name" href="/">SeMaik</a></span><div id="menus"><div class="menus_items"><div class="menus_item"><a class="site-page" href="/"><i class="fa-fw fas fa-home"></i><span> 首页</span></a></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> Linux</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Linux/"><span> Linux</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> WEB</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Apache/"><span> Apache</span></a></li><li><a class="site-page" href="/categories/Nginx/"><span> Nginx</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 存储</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Ceph/"><span> Ceph</span></a></li><li><a class="site-page" href="/categories/NFS/"><span> NFS</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 日志</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Loki"><span> Loki</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 编程</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Shell"><span> Shell</span></a></li><li><a class="site-page" href="/categories/Python"><span> Python</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 高可用</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/KeepAlived/"><span> KeepAlived</span></a></li><li><a class="site-page" href="/categories/LVS/"><span> LVS</span></a></li><li><a class="site-page" href="/categories/Squid/"><span> Squid</span></a></li><li><a class="site-page" href="/categories/Haproxy/"><span> Haproxy</span></a></li><li><a class="site-page" href="/categories/Rsync/"><span> Rsync</span></a></li><li><a class="site-page" href="/categories/Memcache/"><span> Memcache</span></a></li><li><a class="site-page" href="/categories/Varnish/"><span> Varnish</span></a></li><li><a class="site-page" href="/categories/GRedis/"><span> Redis</span></a></li><li><a class="site-page" href="/categories/Rabbit/"><span> RabbitMQ</span></a></li><li><a class="site-page" href="/categories/Kafka/"><span> Kafka</span></a></li><li><a class="site-page" href="/categories/MHA/"><span> MHA</span></a></li><li><a class="site-page" href="/categories/PXC/"><span> PXC</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 虚拟化</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Docker/"><span> Docker</span></a></li><li><a class="site-page" href="/categories/Kubernetes/"><span> Kubernetes</span></a></li><li><a class="site-page" href="/categories/OpenStack/"><span> OpenStack</span></a></li><li><a class="site-page" href="/categories/KVM/"><span> KVM</span></a></li><li><a class="site-page" href="/categories/Containerd"><span> Containerd</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> Hexo</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Hexo/"><span> Hexo</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 数据库</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/MySQL/"><span> MySQL</span></a></li><li><a class="site-page" href="/categories/Readis/"><span> Readis</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 微服务</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Tomcat/"><span> Tomcat</span></a></li><li><a class="site-page" href="/categories/Git/"><span> Git</span></a></li><li><a class="site-page" href="/categories/Maven/"><span> Maven</span></a></li><li><a class="site-page" href="/categories/Nexus/"><span> Nexus</span></a></li><li><a class="site-page" href="/categories/Jenkins/"><span> Jenkins</span></a></li><li><a class="site-page" href="/categories/Spring/"><span> Spring</span></a></li><li><a class="site-page" href="/categories/Consul/"><span> Consul</span></a></li><li><a class="site-page" href="/categories/Harbor/"><span> Harbor</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 自动化</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Ansible/"><span> Ansible</span></a></li><li><a class="site-page" href="/categories/Pssh/"><span> Pssh</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="/link/"><i class="fa-fw fas fa-link"></i><span> 友链</span></a></div><div class="menus_item"><a class="site-page" href="/about/"><i class="fa-fw fas fa-heart"></i><span> 关于</span></a></div></div><div id="toggle-menu"><a class="site-page"><i class="fas fa-bars fa-fw"></i></a></div></div></nav><div id="post-info"><h1 class="post-title">认识分布式存储Ceph</h1><div id="post-meta"><div class="meta-firstline"><span class="post-meta-date"><i class="far fa-calendar-alt fa-fw post-meta-icon"></i><span class="post-meta-label">发表于</span><time class="post-meta-date-created" datetime="2021-01-21T03:07:00.000Z" title="发表于 2021-01-21 11:07:00">2021-01-21</time><span class="post-meta-separator">|</span><i class="fas fa-history fa-fw post-meta-icon"></i><span class="post-meta-label">更新于</span><time class="post-meta-date-updated" datetime="2021-02-06T10:24:20.000Z" title="更新于 2021-02-06 18:24:20">2021-02-06</time></span><span class="post-meta-categories"><span class="post-meta-separator">|</span><i class="fas fa-inbox fa-fw post-meta-icon"></i><a class="post-meta-categories" href="/categories/Ceph/">Ceph</a></span></div><div class="meta-secondline"><span class="post-meta-separator">|</span><span class="post-meta-pv-cv"><i class="far fa-eye fa-fw post-meta-icon"></i><span class="post-meta-label">阅读量:</span><span id="busuanzi_value_page_pv"></span></span></div></div></div></header><main class="layout" id="content-inner"><div id="post"><article class="post-content" id="article-container"><h2 id="分布式存储Ceph技术"><a href="#分布式存储Ceph技术" class="headerlink" title="分布式存储Ceph技术"></a>分布式存储Ceph技术</h2><h3 id="认识分布式存储"><a href="#认识分布式存储" class="headerlink" title="认识分布式存储"></a>认识分布式存储</h3><blockquote>
<p>分布式存储系统，是通过网络讲述库分散存储在多台独立的设备上；</p>
</blockquote>
<h3 id="分布式存储系统的特性"><a href="#分布式存储系统的特性" class="headerlink" title="分布式存储系统的特性"></a>分布式存储系统的特性</h3><figure class="highlight plain"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br><span class="line">5</span><br><span class="line">6</span><br><span class="line">7</span><br><span class="line">8</span><br><span class="line">9</span><br><span class="line">10</span><br><span class="line">11</span><br><span class="line">12</span><br><span class="line">13</span><br><span class="line">14</span><br><span class="line">15</span><br><span class="line">16</span><br><span class="line">17</span><br><span class="line">18</span><br><span class="line">19</span><br><span class="line">20</span><br></pre></td><td class="code"><pre><span class="line">可扩展</span><br><span class="line">分布式存储系统可以扩展到几百台甚至几千台的集群规模，而且随着集群规模的增长，系统整体性能表现为线性增长，分布式存储的水平扩展有以下几个特征：</span><br><span class="line">	1）节点扩展后，旧数据会自动迁移到新节点，实现负载均衡，避免单点过热的情况出现；</span><br><span class="line">	2）水平扩展只需要将新节点和原有集群连接到同一网络，整个过程不会对业务造成影响；</span><br><span class="line">	3）当节点被添加到集群，集群系统的整体容量和性能也随着之线性扩展，此后新节点的资源就会被管理平台接管，被用于分配或者回收；</span><br><span class="line"></span><br><span class="line">低成本</span><br><span class="line">分布式存储系统的自动容错、自动负载均衡机制使其可以构建在普通的PC机之上，另外，线性扩展能力也是的增加、减少机器非常方便，可以实现自动运维；</span><br><span class="line"></span><br><span class="line">高性能</span><br><span class="line">无论是针对整个集群还是单台服务器，都要求分布式存储系统具备高性能；</span><br><span class="line"></span><br><span class="line">易用</span><br><span class="line">分布式存储系统需要能够提供易用的对外接口，另外，也要求具备完善的监控、运维工具、并能够与其他系统集成；</span><br><span class="line"></span><br><span class="line">易管理</span><br><span class="line">可通过一个简单的web界面就可以对整个系统进行配置管理、运维简便，极低的管理成本；</span><br><span class="line"></span><br><span class="line">分布式存储系统的挑战主要在于数据、状态信息的持久化，需求在自动迁移、自动容错、并发读写的过程中保证数据的一致性，分布式存储涉及的技术主要来自两个领域：分布式系统以及数据库；</span><br><span class="line">	</span><br></pre></td></tr></table></figure>
<h1 id="存储分类"><a href="#存储分类" class="headerlink" title="存储分类"></a>存储分类</h1><figure class="highlight plain"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br><span class="line">5</span><br><span class="line">6</span><br><span class="line">7</span><br><span class="line">8</span><br><span class="line">9</span><br><span class="line">10</span><br><span class="line">11</span><br><span class="line">12</span><br><span class="line">13</span><br><span class="line">14</span><br><span class="line">15</span><br><span class="line">16</span><br><span class="line">17</span><br><span class="line">18</span><br><span class="line">19</span><br><span class="line">20</span><br><span class="line">21</span><br></pre></td><td class="code"><pre><span class="line">本地存储文件系统，不能在网络上使用</span><br><span class="line">	ext3  ext4  xfs  ntfs</span><br><span class="line">	</span><br><span class="line">网络存储--网络文件系统，共享的都是文件系统</span><br><span class="line">	nfs			网络文件系统</span><br><span class="line">	hdfs		分布式网络文件系统</span><br><span class="line">	glusterfs	分布式网络文件系统</span><br><span class="line">	</span><br><span class="line">共享的是裸设备</span><br><span class="line">	块存储cinder  ceph（块存储、对象存储、网络文件系统-分布式）</span><br><span class="line">	SAN（存储区域网）</span><br><span class="line">	</span><br><span class="line">分布式</span><br><span class="line">	集群</span><br><span class="line">							client</span><br><span class="line">							   |</span><br><span class="line">						    namenode		元数据服务器-管理服务器，存储这个文件的属性信息</span><br><span class="line">						       |</span><br><span class="line">				------------------------------------</span><br><span class="line">				|			   |			     |</span><br><span class="line">			datanode		 datanode           datanode</span><br></pre></td></tr></table></figure>
<h1 id="Ceph"><a href="#Ceph" class="headerlink" title="Ceph"></a>Ceph</h1><h2 id="Ceph简介"><a href="#Ceph简介" class="headerlink" title="Ceph简介"></a>Ceph简介</h2><figure class="highlight plain"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br><span class="line">5</span><br></pre></td><td class="code"><pre><span class="line">Ceph使用C++语言开发，遵循LGPL协议开源，Sage Weil（Ceph论文发表者）于2011年创立了以Inktank公司主导Ceph的开发和社区维护。2014年Readhat收购inktank公司，并发布Inktank Ceph企业版（ICE）软件，业务场景聚焦云、备份和归档，支持对象存储和块存储以及文件系统存储应用，出现Ceph开源社区版本和Readhat企业版；</span><br><span class="line"></span><br><span class="line">Ceph主要设计的初衷是变成一个可避免单节点故障的分布式文件系统，PB级别的扩展能力，而且是一种开源自由软件，许多超融合的分布式文件系统都是基于Ceph开发的；</span><br><span class="line"></span><br><span class="line">Ceph是一个统一的分布式存储系统，设计初衷是提供较好的性能、可靠性和可扩展性；</span><br></pre></td></tr></table></figure>
<h2 id="Ceph的优势"><a href="#Ceph的优势" class="headerlink" title="Ceph的优势"></a>Ceph的优势</h2><figure class="highlight plain"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br></pre></td><td class="code"><pre><span class="line">高扩展性：使用普通X86服务器，支持10~1000台服务器，存储容量支持TB到EB级的扩展；</span><br><span class="line">高可靠性：没有单点故障，多数据副本，自动管理，自动修复；</span><br><span class="line">高性能：数据分布均衡；</span><br><span class="line">可用于对象存储、块设备存储和文件系统存储；</span><br></pre></td></tr></table></figure>
<h2 id="Ceph架构"><a href="#Ceph架构" class="headerlink" title="Ceph架构"></a>Ceph架构</h2><p><img src="/images/pasted-87.png" alt="upload successful"></p>
<figure class="highlight plain"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br><span class="line">5</span><br><span class="line">6</span><br><span class="line">7</span><br><span class="line">8</span><br><span class="line">9</span><br><span class="line">10</span><br><span class="line">11</span><br><span class="line">12</span><br></pre></td><td class="code"><pre><span class="line">基础存储系统：</span><br><span class="line">rados：基础存储系统RADOS（Reliable，Autonomic，Distributed Object Store，即可靠的、自动化的、分布式的对象存储）所有存储在Ceph系统中的用户数据事实上最终都是由这一层来存储的，Ceph的高可靠、高可扩展、高性能、高自动化等等特性本质上也是这一层所提供的；</span><br><span class="line"></span><br><span class="line">基础库librados：</span><br><span class="line">librados：这一层的功能是对RADOS进行抽象和封装，并向上层提供API，以便直接基于RADOS（而不是整个Ceph）进行应用开发，特别要注意的是，RADOS是一个对象存储系统，因此，librados实现的API也只是针对对象存储功能的，以便于应用或者客户端直接使用上层的接口（高层应用接口）；</span><br><span class="line"></span><br><span class="line">高层应用接口：</span><br><span class="line">radosgw：对象网关接口（对象存储）</span><br><span class="line">rdb：块存储</span><br><span class="line">cephfs：文件系统存储</span><br><span class="line">其作用是在librados库的基础上提供抽象层次更高、更便于应用或客户端使用的上层接口；</span><br><span class="line"></span><br></pre></td></tr></table></figure>
<h2 id="Ceph组件"><a href="#Ceph组件" class="headerlink" title="Ceph组件"></a>Ceph组件</h2><p><img src="/images/pasted-88.png" alt="upload successful"></p>
<figure class="highlight plain"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br><span class="line">5</span><br><span class="line">6</span><br><span class="line">7</span><br><span class="line">8</span><br><span class="line">9</span><br><span class="line">10</span><br><span class="line">11</span><br><span class="line">12</span><br><span class="line">13</span><br></pre></td><td class="code"><pre><span class="line">OSD全称Object Storage Device</span><br><span class="line">负责响应客户端请求返回具体数据的进程。一个Ceph集群一般都有很多个OSD。</span><br><span class="line">用于集群中所有数据与对象的存储。处理集群数据的复制、恢复、回填、再均衡。并向其他osd守护进程发送心跳，然后向Mon提供以下监控信息。</span><br><span class="line">当Ceph存储集群设定数据有两个副本时（一共存两份），则至少需要两个OSD守护进程即两个OSD节点，集群才能达到active+clean状态。</span><br><span class="line"></span><br><span class="line">MDS（可选）：</span><br><span class="line">为Ceph文件系统提供元数据计算、缓存与同步（也就是说，Ceph块设备和Ceph对象存储不适用MDS）。再ceph中元数据也是存储再osd节点中的，mds类似于元数据的代理缓存服务器，MDS进程并不是必须的进程，只有需要使用cephfs时，才需要配置MDS节点。</span><br><span class="line"></span><br><span class="line">Monitor：</span><br><span class="line">监控整个集群状态，维护集群的cliuster MAP二进制表（二进制表存储osd网络地址，各个osd节点状态UP\DOWN，表不仅存储在monitor节点同时也被复制到集群中的其他节点，以及客户端），保证集群数据的一致性，ClusterMAP描述了对象块存储的物理位置，以及一个将设备聚合到物理位置的桶列表；</span><br><span class="line"></span><br><span class="line">Manager（ceph-mgr）</span><br><span class="line">用于收集ceph集群状态、运行指标，比如存储利用率、当前性能指标和系统负载。对外提供ceph dashboard（ceph ui）和resetful api。Manager组件开启高可用时，至少2个；</span><br></pre></td></tr></table></figure>


<h2 id="Ceph结构包含两部分"><a href="#Ceph结构包含两部分" class="headerlink" title="Ceph结构包含两部分"></a>Ceph结构包含两部分</h2><figure class="highlight plain"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br></pre></td><td class="code"><pre><span class="line">ceph client：访问ceph底层服务或组件，对外提供各种接口，不如：对象存储接口、块存储接口、文件存储接口；</span><br><span class="line">ceph node：ceph底层服务提供端，也就是ceph存储集群；</span><br></pre></td></tr></table></figure>


<h2 id="Ceph存储种类及应用场景"><a href="#Ceph存储种类及应用场景" class="headerlink" title="Ceph存储种类及应用场景"></a>Ceph存储种类及应用场景</h2><figure class="highlight plain"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br><span class="line">5</span><br><span class="line">6</span><br><span class="line">7</span><br><span class="line">8</span><br><span class="line">9</span><br><span class="line">10</span><br><span class="line">11</span><br><span class="line">12</span><br><span class="line">13</span><br><span class="line">14</span><br><span class="line">15</span><br><span class="line">16</span><br><span class="line">17</span><br><span class="line">18</span><br><span class="line">19</span><br><span class="line">20</span><br><span class="line">21</span><br><span class="line">22</span><br><span class="line">23</span><br><span class="line">24</span><br><span class="line">25</span><br><span class="line">26</span><br><span class="line">27</span><br><span class="line">28</span><br><span class="line">29</span><br><span class="line">30</span><br><span class="line">31</span><br><span class="line">32</span><br><span class="line">33</span><br><span class="line">34</span><br><span class="line">35</span><br><span class="line">36</span><br><span class="line">37</span><br><span class="line">38</span><br><span class="line">39</span><br><span class="line">40</span><br><span class="line">41</span><br><span class="line">42</span><br><span class="line">43</span><br></pre></td><td class="code"><pre><span class="line">1、块存储</span><br><span class="line">     #块存储的特点：</span><br><span class="line">     1.主要是将裸磁盘空间映射给主机使用的，共享的最小单位是块</span><br><span class="line">     2.使用的交换机是光纤交换机价格贵成本高</span><br><span class="line">     3.性能最好，扩展性好</span><br><span class="line">     4.不能做文件系统的共享</span><br><span class="line"> </span><br><span class="line">         最典型的就是SAN（storage area network）(存储区域网)----有一个局域网里面有一个交换机，交换机上面连着服务器，所有服务器都是专业存储的设备，他们组成一个存储区域网，当我们用的时候只需要在这个区域网里面拿空间使用</span><br><span class="line"></span><br><span class="line"> #典型设备： 磁盘阵列，硬盘</span><br><span class="line"> 优点：</span><br><span class="line">         通过Raid与LVM等手段，对数据提供了保护。</span><br><span class="line">         多块廉价的硬盘组合起来，提高容量。</span><br><span class="line">         多块磁盘组合出来的逻辑盘，提升读写效率。</span><br><span class="line"> 缺点：</span><br><span class="line">         采用SAN架构组网时，光纤交换机，造价成本高。</span><br><span class="line">         主机之间无法共享数据。</span><br><span class="line"> 使用场景：</span><br><span class="line">         虚拟机磁盘存储分配。</span><br><span class="line">         日志存储。</span><br><span class="line">         文件存储。</span><br><span class="line">         </span><br><span class="line">         </span><br><span class="line">         </span><br><span class="line">2、对象存储                   </span><br><span class="line">     为什么需要对象存储？</span><br><span class="line">     首先，一个文件包含了属性（术语叫metadata，元数据，例如该文件的大小、修改时间、存储路径等）以及内容（以下简称数据）。</span><br><span class="line"> </span><br><span class="line">     而对象存储则将元数据独立了出来，控制节点叫元数据服务器（服务器+对象存储管理软件），里面主要负责存储对象的属性（主要是对象的数据被打散存放到了那几台分布式服务器中的信息），而其他负责存储数据的分布式服务器叫做OSD，主要负责存储文件的数据部分。当用户访问对象，会先访问元数据服务器，元数据服务器只负责反馈对象存储在哪些OSD，假设反馈文件A存储在B、C、D三台OSD，那么用户就会再次直接访问3台OSD服务器去读取数据。</span><br><span class="line"> </span><br><span class="line">     由于是3台OSD同时对外传输数据，所以传输的速度就加快了。当OSD服务器数量越多，这种读写速度的提升就越大，通过此种方式，实现了读写快的目的。</span><br><span class="line"> </span><br><span class="line">     另一方面，对象存储软件是有专门的文件系统的，所以OSD对外又相当于文件服务器，那么就不存在文件共享方面的困难了，也解决了文件共享方面的问题。</span><br><span class="line"> </span><br><span class="line">     #所以对象存储的出现，很好地结合了块存储与文件存储的优点。</span><br><span class="line"> </span><br><span class="line"> #优点：</span><br><span class="line">         具备块存储的读写高速。</span><br><span class="line">         具备文件存储的共享等特性。</span><br><span class="line"> </span><br><span class="line"> 使用场景： (适合更新变动较少的数据)</span><br><span class="line">         图片存储。</span><br><span class="line">         视频存储。</span><br></pre></td></tr></table></figure>
<h2 id="Ceph同时提供对象存储、块存储和文件系统存储三种功能，满足不同应用需求。"><a href="#Ceph同时提供对象存储、块存储和文件系统存储三种功能，满足不同应用需求。" class="headerlink" title="Ceph同时提供对象存储、块存储和文件系统存储三种功能，满足不同应用需求。"></a>Ceph同时提供对象存储、块存储和文件系统存储三种功能，满足不同应用需求。</h2><h2 id="什么是OSD"><a href="#什么是OSD" class="headerlink" title="什么是OSD"></a>什么是OSD</h2><blockquote>
<p>对象存储(object-based Storage)是一种新的网络存储架构，基于对象存储技术的设备就是对象存储设备(object-based storage Device方简称OSD。总体上来讲，对象存储综合了NAS和ISAN的优点，同时具有SAN的高速直接访问和NAS的分布式数据共享等优势，提供了具有高性能、高可靠性、跨平台以及安全的数据共享的存储体系结构。</p>
</blockquote>
<h2 id="Ceph工作原理"><a href="#Ceph工作原理" class="headerlink" title="Ceph工作原理"></a>Ceph工作原理</h2><p><img src="/images/pasted-89.png" alt="upload successful"></p>
<figure class="highlight plain"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br><span class="line">5</span><br></pre></td><td class="code"><pre><span class="line">无论使用哪种存储方式（对象、块、挂载），存储的数据都会被切分成对象（Objects），Objects size大小可以由管理员调整，通常为2M或4M。每个对象都会有一个唯一的OID，由ino与ono生成。ino是文件的Fi1e ID，用于在全局唯一标示每一个文件，而ono则是分片的编号。比如:一个文件Fi1eID为A，它被切成了两个对象，一个对象编号0，另一个编号1，那么这两个文件的oid则为AO与A1。oid的好处是可以唯一标示每个不同的对象，并且存储了对象与文件的从属关系。由于ceph的所有数据都虚拟成了整齐划一的对象，所以在读写时效率都会比较高。</span><br><span class="line">但是对象并不会直接存储进OSD中，因为对象的size很小，在一个大规模的集群中可能有几百到几千万个对象。这么多对象光是遍历寻址，速度都是很缓慢的:并且如果将对象直接通过某种固定映射的哈希算法映射到osd 上，当这个osd损坏时，对象无法自动迁移至其他osd 上面《因为映射函数不允许)。为了解决这些问题，ceph引入了归置组的概念，即PG。</span><br><span class="line">PG是一个逻辑概念，我们linux系统中可以直接看到对象，但是无法直接看到PG。它在数据寻址时类似于数据库中的索引:每个对象都会固定映射进一个PG中，所以当我们要寻找一个对象时，只需要先找到对象所属的PG，然后遍历这个PG就可以了，无需遍历所有对象。而且在数据迁移时，也是以PG作为基本单位进行迁移，ceph不会直接操作对象。</span><br><span class="line">对象是如何映射进PG的？ 还记得OID么﹖首先使用静态hash函数对OID做hash取出特征码，用特征码与PG的数量去模，得到的序号则是PGID。由于这种设计方式，PG的数量多寡直接决定了数据分布的均匀性，所以合理设置的PG数量可以很好的提升CEPH集群的性能并使数据均匀分布。</span><br><span class="line">最后PG会根据管理员设置的副本数量进行复制，然后通过crush算法存储到不同的OSD节点上:(其实是把PG中的所有对象存储到节点上），第一个osd节点即为主节点,其余均为从节点。</span><br></pre></td></tr></table></figure>


<h2 id="Ceph核心组件及概念介绍"><a href="#Ceph核心组件及概念介绍" class="headerlink" title="Ceph核心组件及概念介绍"></a>Ceph核心组件及概念介绍</h2><figure class="highlight plain"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br><span class="line">5</span><br><span class="line">6</span><br><span class="line">7</span><br><span class="line">8</span><br><span class="line">9</span><br><span class="line">10</span><br><span class="line">11</span><br><span class="line">12</span><br><span class="line">13</span><br><span class="line">14</span><br><span class="line">15</span><br><span class="line">16</span><br><span class="line">17</span><br><span class="line">18</span><br><span class="line">19</span><br><span class="line">20</span><br><span class="line">21</span><br><span class="line">22</span><br><span class="line">23</span><br><span class="line">24</span><br><span class="line">25</span><br><span class="line">26</span><br><span class="line">27</span><br><span class="line">28</span><br><span class="line">29</span><br><span class="line">30</span><br><span class="line">31</span><br><span class="line">32</span><br></pre></td><td class="code"><pre><span class="line">Monitor</span><br><span class="line">	监控整个集群的状态，维护集群的c1uster MAP二进制表，保证集群数据的一致性</span><br><span class="line">	</span><br><span class="line">OSD全称object storage Device</span><br><span class="line">	负责响应客户端请求返回具体数据的进程。一个Ceph集群一般都有很多个osD.</span><br><span class="line">	</span><br><span class="line">MDS全称ceph Metadata server</span><br><span class="line">	是CephFS服务依赖的元数据服务。</span><br><span class="line">	</span><br><span class="line">object --</span><br><span class="line">	ceph最底层的存储单元是Object对象，每个object包含元数据和原始数据。</span><br><span class="line">	</span><br><span class="line">PG全称Placement Grouops</span><br><span class="line">	是一个逻辑的概念，一个PG包含多个OSD。引入PG这一层其实是为了更好的分配数据和定位数据。</span><br><span class="line">	</span><br><span class="line">RADOS全称Reliable Autonomic Distributed object store</span><br><span class="line">	是Ceph集群的精华，用户实现数据分配、Failover等集群操作。</span><br><span class="line">	</span><br><span class="line">Librados是Rados提供库</span><br><span class="line">	因为RADOS是协议很难直接访问，因此上层的RBD、RGw和CephFS都是通过librados访向的，目前提供PHP、 Ruby、Java、Python、c和C++支持。</span><br><span class="line">	</span><br><span class="line">CRUSH是Ceph使用的数据分布算法</span><br><span class="line">	类似一致性哈希，让数据分配到预期的地方。</span><br><span class="line">	</span><br><span class="line">RBD全称RADos block device</span><br><span class="line">	是ceph对外提供的块设备服务。</span><br><span class="line">	</span><br><span class="line">RGw全称RADos gateway</span><br><span class="line">	是Ceph对外提供的对象存储服务，接口与S3和Swift兼容。</span><br><span class="line"></span><br><span class="line">cephFS全称ceph File system</span><br><span class="line">	是ceph对外提供的文件系统服务。</span><br></pre></td></tr></table></figure>


<h2 id="Ceph的存储方式"><a href="#Ceph的存储方式" class="headerlink" title="Ceph的存储方式"></a>Ceph的存储方式</h2><p>radosgw：Ceph对象网关</p>
<blockquote>
<p>ceph对象网关是一个对象存储接口，建立在该对象之上，librados为应用程序提供了通往Ceph存储集群的RESTful网关。ceph对象存储支持两个接口:</p>
<p>与S3兼容：为对象存储功能提供与Amazon S3 RESTful API的大部分子集兼容的接口。</p>
<p>兼容Swift：通过与openstack Swift API的大部分子集兼容的接口，为对象存储功能提供支持。</p>
</blockquote>
<h3 id="Ceph对象存储"><a href="#Ceph对象存储" class="headerlink" title="Ceph对象存储"></a>Ceph对象存储</h3><p><img src="/images/pasted-90.png" alt="upload successful"></p>
<blockquote>
<p>使用Ceph对象网关守护进程（radosgw），它是用于与Ceph存储群集进行交互的HTTP服务器。由于它提供与OpenStack Swift和Amazon S3兼容的接口，Ceph对象网关可以将数据存储在用于存储来自Ceph文件系统客户端或Ceph块设备客户端的数据的同一Ceph存储群集中。S3和Swift API共享一个公共的名称空间，因此您可以使用一个API编写数据，而使用另一个API检索数据。</p>
</blockquote>
<h3 id="Ceph文件系统"><a href="#Ceph文件系统" class="headerlink" title="Ceph文件系统"></a>Ceph文件系统</h3><blockquote>
<p>Ceph文件系统（Ceph FS）是个 POSIX兼容的文件系统，它使用Ceph存储集群来存储数据。Ceph文件系统与Ceph 块设备、同时提供S3和Swift APl的Ceph对象存储、或者原生库（ librados )一样，都使用着相同的Ceph存储集群系统。</p>
</blockquote>
<h3 id="Ceph块存储"><a href="#Ceph块存储" class="headerlink" title="Ceph块存储"></a>Ceph块存储</h3><p><img src="/images/pasted-91.png" alt="upload successful"></p>
<blockquote>
<p> Ceph 块设备是精简配置的、大小可调且将数据条带化存储到集群内的多个 OSD 。 Ceph 块设备利用 RADOS 的多种能力，如快照、复制和一致性。 Ceph 的 RADOS 块设备（ RBD ）使用内核模块或 librbd 库与 OSD 交互。</p>
</blockquote>
</article><div class="post-copyright"><div class="post-copyright__author"><span class="post-copyright-meta">文章作者: </span><span class="post-copyright-info"><a href="mailto:undefined">ZuSir</a></span></div><div class="post-copyright__type"><span class="post-copyright-meta">文章链接: </span><span class="post-copyright-info"><a href="http://example.com/2021/01/21/%E8%AE%A4%E8%AF%86%E5%88%86%E5%B8%83%E5%BC%8F%E5%AD%98%E5%82%A8Ceph/">http://example.com/2021/01/21/%E8%AE%A4%E8%AF%86%E5%88%86%E5%B8%83%E5%BC%8F%E5%AD%98%E5%82%A8Ceph/</a></span></div><div class="post-copyright__notice"><span class="post-copyright-meta">版权声明: </span><span class="post-copyright-info">本博客所有文章除特别声明外，均采用 <a href="https://creativecommons.org/licenses/by-nc-sa/4.0/" target="_blank">CC BY-NC-SA 4.0</a> 许可协议。转载请注明来自 <a href="http://example.com" target="_blank">SeMaik</a>！</span></div></div><div class="tag_share"><div class="post-meta__tag-list"></div><div class="post_share"><div class="social-share" data-image="https://cdn.jsdelivr.net/npm/butterfly-extsrc@1/img/default.jpg" data-sites="facebook,twitter,wechat,weibo,qq"></div><link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/social-share.js/dist/css/share.min.css" media="print" onload="this.media='all'"><script src="https://cdn.jsdelivr.net/npm/social-share.js/dist/js/social-share.min.js" defer></script></div></div><nav class="pagination-post" id="pagination"><div class="prev-post pull-left"><a href="/2021/01/21/%E9%83%A8%E7%BD%B2Ceph%E9%9B%86%E7%BE%A4/"><img class="prev-cover" src="https://cdn.jsdelivr.net/npm/butterfly-extsrc@1/img/default.jpg" onerror="onerror=null;src='/img/123.jpeg'" alt="cover of previous post"><div class="pagination-info"><div class="label">上一篇</div><div class="prev_info">部署Ceph集群</div></div></a></div><div class="next-post pull-right"><a href="/2021/01/21/kubeadm%E9%83%A8%E7%BD%B2%E5%8D%95Master-K8S%E9%9B%86%E7%BE%A4/"><img class="next-cover" src="https://cdn.jsdelivr.net/npm/butterfly-extsrc@1/img/default.jpg" onerror="onerror=null;src='/img/123.jpeg'" alt="cover of next post"><div class="pagination-info"><div class="label">下一篇</div><div class="next_info">Kubeadm部署单Master-K8S集群</div></div></a></div></nav></div><div class="aside-content" id="aside-content"><div class="card-widget card-info"><div class="card-info-avatar is-center"><img class="avatar-img" src="/img/123.jpeg" onerror="this.onerror=null;this.src='/img/123.jpeg'" alt="avatar"/><div class="author-info__name">ZuSir</div><div class="author-info__description">一个收藏回忆与分享技术的地方!</div></div><div class="card-info-data"><div class="card-info-data-item is-center"><a href="/archives/"><div class="headline">文章</div><div class="length-num">152</div></a></div><div class="card-info-data-item is-center"><a href="/categories/"><div class="headline">分类</div><div class="length-num">37</div></a></div></div></div><div class="card-widget card-announcement"><div class="item-headline"><i class="fas fa-bullhorn card-announcement-animation"></i><span>公告</span></div><div class="announcement_content">This is my Blog! <img src="https://ss0.bdstatic.com/70cFuHSh_Q1YnxGkpoWK1HF6hhy/it/u=3894415926,2787041726&fm=26&gp=0.jpg"></div></div><div class="sticky_layout"><div class="card-widget" id="card-toc"><div class="item-headline"><i class="fas fa-stream"></i><span>目录</span></div><div class="toc-content"><ol class="toc"><li class="toc-item toc-level-2"><a class="toc-link" href="#%E5%88%86%E5%B8%83%E5%BC%8F%E5%AD%98%E5%82%A8Ceph%E6%8A%80%E6%9C%AF"><span class="toc-number">1.</span> <span class="toc-text">分布式存储Ceph技术</span></a><ol class="toc-child"><li class="toc-item toc-level-3"><a class="toc-link" href="#%E8%AE%A4%E8%AF%86%E5%88%86%E5%B8%83%E5%BC%8F%E5%AD%98%E5%82%A8"><span class="toc-number">1.1.</span> <span class="toc-text">认识分布式存储</span></a></li><li class="toc-item toc-level-3"><a class="toc-link" href="#%E5%88%86%E5%B8%83%E5%BC%8F%E5%AD%98%E5%82%A8%E7%B3%BB%E7%BB%9F%E7%9A%84%E7%89%B9%E6%80%A7"><span class="toc-number">1.2.</span> <span class="toc-text">分布式存储系统的特性</span></a></li></ol></li></ol></li><li class="toc-item toc-level-1"><a class="toc-link" href="#%E5%AD%98%E5%82%A8%E5%88%86%E7%B1%BB"><span class="toc-number"></span> <span class="toc-text">存储分类</span></a></li><li class="toc-item toc-level-1"><a class="toc-link" href="#Ceph"><span class="toc-number"></span> <span class="toc-text">Ceph</span></a><ol class="toc-child"><li class="toc-item toc-level-2"><a class="toc-link" href="#Ceph%E7%AE%80%E4%BB%8B"><span class="toc-number">1.</span> <span class="toc-text">Ceph简介</span></a></li><li class="toc-item toc-level-2"><a class="toc-link" href="#Ceph%E7%9A%84%E4%BC%98%E5%8A%BF"><span class="toc-number">2.</span> <span class="toc-text">Ceph的优势</span></a></li><li class="toc-item toc-level-2"><a class="toc-link" href="#Ceph%E6%9E%B6%E6%9E%84"><span class="toc-number">3.</span> <span class="toc-text">Ceph架构</span></a></li><li class="toc-item toc-level-2"><a class="toc-link" href="#Ceph%E7%BB%84%E4%BB%B6"><span class="toc-number">4.</span> <span class="toc-text">Ceph组件</span></a></li><li class="toc-item toc-level-2"><a class="toc-link" href="#Ceph%E7%BB%93%E6%9E%84%E5%8C%85%E5%90%AB%E4%B8%A4%E9%83%A8%E5%88%86"><span class="toc-number">5.</span> <span class="toc-text">Ceph结构包含两部分</span></a></li><li class="toc-item toc-level-2"><a class="toc-link" href="#Ceph%E5%AD%98%E5%82%A8%E7%A7%8D%E7%B1%BB%E5%8F%8A%E5%BA%94%E7%94%A8%E5%9C%BA%E6%99%AF"><span class="toc-number">6.</span> <span class="toc-text">Ceph存储种类及应用场景</span></a></li><li class="toc-item toc-level-2"><a class="toc-link" href="#Ceph%E5%90%8C%E6%97%B6%E6%8F%90%E4%BE%9B%E5%AF%B9%E8%B1%A1%E5%AD%98%E5%82%A8%E3%80%81%E5%9D%97%E5%AD%98%E5%82%A8%E5%92%8C%E6%96%87%E4%BB%B6%E7%B3%BB%E7%BB%9F%E5%AD%98%E5%82%A8%E4%B8%89%E7%A7%8D%E5%8A%9F%E8%83%BD%EF%BC%8C%E6%BB%A1%E8%B6%B3%E4%B8%8D%E5%90%8C%E5%BA%94%E7%94%A8%E9%9C%80%E6%B1%82%E3%80%82"><span class="toc-number">7.</span> <span class="toc-text">Ceph同时提供对象存储、块存储和文件系统存储三种功能，满足不同应用需求。</span></a></li><li class="toc-item toc-level-2"><a class="toc-link" href="#%E4%BB%80%E4%B9%88%E6%98%AFOSD"><span class="toc-number">8.</span> <span class="toc-text">什么是OSD</span></a></li><li class="toc-item toc-level-2"><a class="toc-link" href="#Ceph%E5%B7%A5%E4%BD%9C%E5%8E%9F%E7%90%86"><span class="toc-number">9.</span> <span class="toc-text">Ceph工作原理</span></a></li><li class="toc-item toc-level-2"><a class="toc-link" href="#Ceph%E6%A0%B8%E5%BF%83%E7%BB%84%E4%BB%B6%E5%8F%8A%E6%A6%82%E5%BF%B5%E4%BB%8B%E7%BB%8D"><span class="toc-number">10.</span> <span class="toc-text">Ceph核心组件及概念介绍</span></a></li><li class="toc-item toc-level-2"><a class="toc-link" href="#Ceph%E7%9A%84%E5%AD%98%E5%82%A8%E6%96%B9%E5%BC%8F"><span class="toc-number">11.</span> <span class="toc-text">Ceph的存储方式</span></a><ol class="toc-child"><li class="toc-item toc-level-3"><a class="toc-link" href="#Ceph%E5%AF%B9%E8%B1%A1%E5%AD%98%E5%82%A8"><span class="toc-number">11.1.</span> <span class="toc-text">Ceph对象存储</span></a></li><li class="toc-item toc-level-3"><a class="toc-link" href="#Ceph%E6%96%87%E4%BB%B6%E7%B3%BB%E7%BB%9F"><span class="toc-number">11.2.</span> <span class="toc-text">Ceph文件系统</span></a></li><li class="toc-item toc-level-3"><a class="toc-link" href="#Ceph%E5%9D%97%E5%AD%98%E5%82%A8"><span class="toc-number">11.3.</span> <span class="toc-text">Ceph块存储</span></a></li></ol></li></ol></div></div><div class="card-widget card-recent-post"><div class="item-headline"><i class="fas fa-history"></i><span>最新文章</span></div><div class="aside-list"><div class="aside-list-item no-cover"><div class="content"><a class="title" href="/2022/02/17/Shell%E2%80%94%E2%80%94%E9%83%A8%E7%BD%B2Zabbix-Server5-0/" title="Shell程序——部署Zabbix-ServerV5.0">Shell程序——部署Zabbix-ServerV5.0</a><time datetime="2022-02-17T03:32:00.000Z" title="发表于 2022-02-17 11:32:00">2022-02-17</time></div></div><div class="aside-list-item no-cover"><div class="content"><a class="title" href="/2022/02/17/Shell%E2%80%94%E2%80%94%E9%83%A8%E7%BD%B2Harbor/" title="Shell程序——部署Harbor">Shell程序——部署Harbor</a><time datetime="2022-02-17T03:31:00.000Z" title="发表于 2022-02-17 11:31:00">2022-02-17</time></div></div><div class="aside-list-item no-cover"><div class="content"><a class="title" href="/2022/02/17/Shell%E2%80%94%E2%80%94Mysql%E5%A4%87%E4%BB%BD/" title="Shell程序——Mysql备份">Shell程序——Mysql备份</a><time datetime="2022-02-17T03:30:00.000Z" title="发表于 2022-02-17 11:30:00">2022-02-17</time></div></div><div class="aside-list-item no-cover"><div class="content"><a class="title" href="/2022/02/17/Shell%E2%80%94%E2%80%94%E6%89%B9%E9%87%8F%E4%BF%9D%E5%AD%98Docker-image/" title="Shell程序——批量保存Docker_image">Shell程序——批量保存Docker_image</a><time datetime="2022-02-17T03:29:00.000Z" title="发表于 2022-02-17 11:29:00">2022-02-17</time></div></div><div class="aside-list-item no-cover"><div class="content"><a class="title" href="/2022/02/17/Shell%E2%80%94%E2%80%94%E5%85%A8%E6%AE%B5IP%E6%89%AB%E6%8F%8F/" title="Shell程序——全段IP扫描">Shell程序——全段IP扫描</a><time datetime="2022-02-17T03:28:00.000Z" title="发表于 2022-02-17 11:28:00">2022-02-17</time></div></div></div></div></div></div></main><footer id="footer"><div id="footer-wrap"><div class="copyright">&copy;2020 - 2022 By ZuSir</div><div class="framework-info"><span>框架 </span><a target="_blank" rel="noopener" href="https://hexo.io">Hexo</a><span class="footer-separator">|</span><span>主题 </span><a target="_blank" rel="noopener" href="https://github.com/jerryc127/hexo-theme-butterfly">Butterfly</a></div></div></footer></div><div id="rightside"><div id="rightside-config-hide"><button id="readmode" type="button" title="阅读模式"><i class="fas fa-book-open"></i></button><button id="hide-aside-btn" type="button" title="单栏和双栏切换"><i class="fas fa-arrows-alt-h"></i></button></div><div id="rightside-config-show"><button id="rightside_config" type="button" title="设置"><i class="fas fa-cog fa-spin"></i></button><button class="close" id="mobile-toc-button" type="button" title="目录"><i class="fas fa-list-ul"></i></button><button id="go-up" type="button" title="回到顶部"><i class="fas fa-arrow-up"></i></button></div></div><div><script src="/js/utils.js"></script><script src="/js/main.js"></script><div class="js-pjax"></div><script defer="defer" id="fluttering_ribbon" mobile="true" src="https://cdn.jsdelivr.net/npm/butterfly-extsrc@1/dist/canvas-fluttering-ribbon.min.js"></script><script async data-pjax src="//busuanzi.ibruce.info/busuanzi/2.3/busuanzi.pure.mini.js"></script></div></body></html>